package konto;

import static org.junit.jupiter.api.Assertions.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class KontoTest {

	@BeforeEach
	void setUp() throws Exception {
	}

	@Test
	void testToString() {
		Konto konto = new Konto(123, "Ala Kowalska", 1000);
		assertEquals("Konto nr 123, wł. Ala Kowalska, saldo 1000", konto.toString());
	}
	
	@Test
	void testWplata() {
		Konto konto = new Konto(123, "Ala Kowalska", 1000);
		konto.wplata(300);
		assertEquals(1300, konto.getSaldo());
	}

	@Test
	void testWyplata() {
		Konto konto = new Konto(123, "Ala Kowalska", 1000);
		konto.wyplata(200);
		assertEquals(800, konto.getSaldo());
	}

}
